# GimpUi.StringComboBox

    const GimpUi = imports.gi.GimpUi;

    let stringComboBox = new GimpUi.StringComboBox({
        id_column: value,
        label_column: value,
    });

A Gtk.ComboBox subclass to select strings.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Bin
          - Gtk.ComboBox
            - GimpUi.StringComboBox

## Constructors

- GimpUi.StringComboBox.new

## Methods

- GimpUi.StringComboBox.prototype.get_active
- GimpUi.StringComboBox.prototype.set_active
- GimpUi.StringComboBox.prototype.set_sensitivity

## Properties

- ellipsize
- id-column
- label-column
- value